OpenGLUT 0.6.3 development - OpenGLUT: Overlays
Keywords: OpenGLUT, FreeGLUT, OpenGL, GLUT, X11, Windows, Programming, Documentation, Download, Development, Sourceforge

OpenGLUT Documentation
Introduction | Documentation | Examples | Proposals | Authors | Copying | Todo | Bugs | Links

# Overlays
[OpenGLUT API Reference]

## Functions
void | glutEstablishOverlay (void)
void | glutHideOverlay (void)
int | glutLayerGet (GLenum eWhat)
void | glutPostOverlayRedisplay (void)
void | glutPostWindowOverlayRedisplay (int ID)
void | glutRemoveOverlay (void)
void | glutShowOverlay (void)
void | glutUseLayer (GLenum layer)

## Detailed Description

Some windows may be able to handle one or more overlays. That is, some windows may be able to have a secondary bitmap that is placed over the normal display. This allows two or more bitmapped images to be displayed in a single window without directly intefering with one other---beyond the fact that one may obscure the other. The value here is that then the overlain bitmap may be removed or hidden and the underlain graphics will appear without requiring a redraw.

Old GLUT only supported indexed color for overlays. freeglut ignores all overlay requests. OpenGLUT has inherited freeglut's treatment. OpenGLUT has neither resolved to fully support overlays, nor to remove them.

## Function Documentation

void glutEstablishOverlay | ( | void |  | ) |

| Creates an overlay. Creates an overlay associated with the current window. Note: Unimplemented. Old GLUT would terminate the program when an overlay was not possible. freeglut ignores the request; OpenGLUT ignores the request as well. See also: glutRemoveOverlay(), glutUseLayer(), glutPostOverlayRedisplay(), glutPostWindowOverlayRedisplay(), glutShowOverlay(), glutHideOverlay()

void glutHideOverlay | ( | void |  | ) |

| Make an overlay invisible. Causes a visible overlay to become invisible. Applies to the current window. Note: Unimplemented. See also: glutEstablishOverlay(), glutRemoveOverlay(), glutUseLayer(), glutPostOverlayRedisplay(), glutPostWindowOverlayRedisplay(), glutShowOverlay()

int glutLayerGet | ( | GLenum | eWhat | ) |

  | Allows you to get some overlay state/option variables. Parameters:
  | eWhat | Enumerated parameter ID.
Returns some useful information about layers. Or, it would be useful if layers were implemented... eWhat may be given any of the following values: GLUT_HAS_OVERLAY GLUT_LAYER_IN_USE GLUT_NORMAL_DAMAGED 0 unless the window system has told us that the normal layer is damaged (glutPostRedisplay() does not affect this). GLUT_OVERLAY_DAMAGED -1 if no layer in use. GLUT_OVERLAY_POSSIBLE GLUT_TRANSPARENT_INDEX -1 if no layer in use. All information relates to the current window and any overlay that it may have. See also: glutSetOption(), glutGet(), glutDeviceGet(), glutGetModifiers()

void glutPostOverlayRedisplay | ( | void |  | ) |

| Posts a redispaly against the layer for the current window. For the current window, tells OpenGLUT that you wish to have your OverlayDisplay callback invoked. Note: Unimplemented. See also: glutEstablishOverlay(), glutRemoveOverlay(), glutUseLayer(), glutPostWindowOverlayRedisplay(), glutShowOverlay(), glutHideOverlay(), glutOverlayDisplayFunc(), glutPostRedisplay()

void glutPostWindowOverlayRedisplay | ( | int | ID | ) |

  | Posts a redisplay to the indicated window's layer. Parameters:
  | ID | A window ID.
This function lets you post an overlay update to the overlay of any arbitrary window. Note: Unimplemented. See also: glutEstablishOverlay(), glutRemoveOverlay(), glutUseLayer(), glutPostOverlayRedisplay(), glutShowOverlay(), glutHideOverlay(), glutOverlayDisplayFunc(), glutPostRedisplay()

void glutRemoveOverlay | ( | void |  | ) |

| Removes an overlay. Removes the overlay associated with the current window. Note: Unimplemented. See also: glutEstablishOverlay(), glutUseLayer(), glutPostOverlayRedisplay(), glutPostWindowOverlayRedisplay(), glutShowOverlay(), glutHideOverlay()

void glutShowOverlay | ( | void |  | ) |

| Make an overlay visible. Causes a previously-hidden overlay to become apparent. Applies to the current window. Note: Unimplemented. See also: glutEstablishOverlay(), glutRemoveOverlay(), glutUseLayer(), glutPostOverlayRedisplay(), glutPostWindowOverlayRedisplay(), glutHideOverlay()

void glutUseLayer | ( | GLenum | layer | ) |

  | Allows you to switch between normal and layer mode. Parameters:
  | layer | Whether to be in a layer or in the normal window.
By default, OpenGLUT operates in "normal" mode, with respect to layers. If you have a layer open and wish to operate on the layer, you must use glutUseLayer(). layer can take on the following values, indicating the layer mode to use: GLUT_NORMAL GLUT_LAYER Note: Unimplemented. It is unclear what the consequences are if you are in GLUT_OVERLAY mode and switch to another (or the same) window via glutSetWindow(). What if the target has a layer? What if it doesn't? See also: glutEstablishOverlay(), glutRemoveOverlay(), glutPostOverlayRedisplay(), glutPostWindowOverlayRedisplay(), glutShowOverlay(), glutHideOverlay()

OpenGLUT Development @ Sourceforge
Homepage | Summary | Files | CVS | Forums | Lists | Bugs | RFE
Generated on Tue Oct 5 18:44:33 2004 for OpenGLUT by doxygen 1.3.8
The OpenGLUT project is hosted by sourceforge.net.